For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETList Payments
              • GETGet Payment Detail
              • DELDelete Payment
              • GETGet Payment Operation
              • POSTPerform Payment Operation
              • PUTUpdate Payment Processing Status
              • GETList Payment Transactions
              • POSTCreate Offline Payment
              • PUTUpdate Offline Payment
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementPayments

List Payment Transactions

GET
https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/:paymentId/transactions
GET
/api/v3/io/ip/payments/:paymentId/transactions
$curl https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1/transactions \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": [
4 {
5 "type": "CreditCardTransaction",
6 "rawTransaction": "",
7 "gateway": "test",
8 "transactionId": "521263",
9 "authCode": "",
10 "event": "capture",
11 "card": {
12 "type": "Visa",
13 "last4": "1111",
14 "expiryYear": 2050,
15 "expiryMonth": 12
16 }
17 }
18 ],
19 "meta": {
20 "message": "SUCCESS"
21 }
22}
Get payment transactions
Was this page helpful?
Previous

Update Payment Processing Status

Next

Create Offline Payment

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

paymentIddoubleRequired
Payment ID

Response

OK
codedouble
datalist of objects
The array contains payment transaction information that varies and depends on the payment gateway.
metaobject

Errors

404
Not Found Error